> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musicgpt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Voices

> Fetch all available voices with their IDs.



## OpenAPI

````yaml GET /v1/getAllVoices
openapi: 3.1.0
info:
  title: Musicgpt API
  version: 1.0.0
  description: API for retrieving conversion details by ID.
servers:
  - url: https://api.musicgpt.com/api/public
    description: Production server
security: []
paths:
  /v1/getAllVoices:
    get:
      summary: Get All Voices
      description: Fetch all available voices with their IDs.
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
          description: Maximum number of voices per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 0
          description: Page number for pagination
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  voices:
                    type: array
                    items:
                      type: object
                      properties:
                        voice_id:
                          type: string
                        voice_name:
                          type: string
                  limit:
                    type: integer
                  page:
                    type: integer
                  total:
                    type: integer
              example:
                success: true
                voices:
                  - voice_id: 00126f62-1f31-434a-abc6-a5e958a737e3
                    voice_name: Joji
                  - voice_id: 0031cf05-6d3d-4c15-9115-d8236590b957
                    voice_name: Amy Winehouse
                limit: 20
                page: 0
                total: 3108
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: string
              example:
                success: false
                error: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````